<?php
/**
 * 商品分类管理
 * $Id: product_category_list.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */
// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

$param = array();
$param["delete_flg"] = false;
$param["status"] = '5';
$user_list = UserMst::getList($param);
foreach($user_list as $user) {
	$add_point = 399;
	$point_left = 0;
	//添加积分记录
	//添加一条新的记录
	$user_point_log = new UserPointLog();
	$user_point_log->user_id = $user->id;
	$user_point_log->action_type = 4;//购买课程
	$user_point_log->point = $add_point;
	$user_point_log->point_left = $point_left + $add_point;
	$user_point_log->status = "SUCCESS";
	$user_point_log->save();
	
	//用户剩余积分
	$user->point = $point_left + $add_point;
	$user->save();
}